//@kosmos89
#include <iostream>
#include <cmath>
#include <cstring>

int iton(int index) { return index * 2 + 3; }
int ntoi(int number) { return (number - 3) / 2; }

long long filtering_stage(char * a, int c, int csqrt)
{
	long long res = 2;
	for (int i = 0; i < csqrt; i++)
	{
		if (a[i] == 0)
		{
			int p = iton(i);
#pragma omp parallel for schedule(static, 1024)
			for (int ind = ntoi(p * p); ind <= ntoi(c); ind += p)
				if (a[ind] == 0)
					a[ind] = 1;
			res += p;
		}
	}
	return res;
}

long long eratosthenes(int c)
{
	if (c == 1)
		return 0;
	if (c == 2)
		return 2;

	int nc = (c - 1) / 2;

	char * a = new char[nc];
	memset(a, 0, nc);

	int count_sqrt = ntoi(std::sqrt(c)) + 1;

	long long res = filtering_stage(a, c, count_sqrt);

	for (int i = count_sqrt; i < nc; i++)
		if (a[i] == 0)
			res += iton(i);

	delete [] a;
	return res;
}

int main()
{
	int n;
	std::cin >> n;
	auto res = eratosthenes(n);
	std::cout << res;
	return 0;
}