//@ikalnitsky
#include <iostream>
#include <vector>

bool hasDividers(uint32_t x, const std::vector<uint32_t>& primes, uint32_t boundary)
{
    for (int i = 1; primes[i] < boundary; ++i)
        if (x % primes[i] == 0)
            return true;
    return false;
}

int main(int /*argc*/, char** /*argv*/)
{
    int64_t result = 0;

    uint32_t n = 0;
    std::cin >> n;

    std::vector<uint32_t> primes;
    primes.reserve(n / 5);

    if (n >= 2)
    {
        primes.push_back(2);
        result += 2;
    }

    if (n >= 3)
    {
        primes.push_back(3);
        result += 3;
    }

    uint32_t boundary = 3;
    for (uint32_t candidate = 5; candidate <= n; candidate += 2)
    {
        if (candidate >= boundary * boundary)
            boundary++;

        if (hasDividers(candidate, primes, boundary))
            continue;

        primes.push_back(candidate);
        result += candidate;
    }

    std::cout << result << std::endl;
    return 0;
}
