//@quarck

#include <iostream>
#include <cstring>
#include <pthread.h>

#define T 4LL

__int64_t N = 0;

char *g = NULL;

__int64_t r_s[T];

pthread_barrier_t b;

void* thr(void *arg)
{
	__int64_t id = (__int64_t)(arg);

	__int64_t rl = id * id * N / T / T + 1;
	__int64_t rh = (id+1) * (id+1) * N / T / T;

	for (int i=rl; i<=rh; i++)
		if ( g[i])
			for (int j=2*i; j<=N; j+=i)
				g[j] = 0;

	pthread_barrier_wait(&b);
	
	rl = id * N / T + 1;
	rh = (id+1) * N / T;

	__int64_t s = 0;
	for (int i=rl; i<=rh; i++)
		if (g[i]) 
			s += i;

	r_s[id] = s;

	pthread_barrier_wait(&b);

	return NULL;
}

int main()
{
	std::cin >> N;

	g = new char[N+1];

	memset(g, 1, N+1);
	g[0] = g[1] = 0;

	pthread_barrier_init(&b, NULL, T);

	pthread_t thrs[T];

	for (int i=0; i<T; i++)
		pthread_create(&thrs[i], NULL, thr, (void*)i);
	
	void *tr = NULL;
	for (int i=0; i<T; i++)
		pthread_join(thrs[i], &tr);

	__int64_t sum = 0;
	for (int i=0; i<T; i++)
		sum += r_s[i];

	std::cout << sum << "\n";

	pthread_barrier_destroy(&b);
}

