//@Nickel
#include <cmath>
#include <iostream>
#include <pthread.h>

#define TC 4
#define MAP(X) X - 2

bool not_prime[0x3fffffff] = { };
bool tasks[0x8000] = { };
pthread_mutex_t m = PTHREAD_MUTEX_INITIALIZER;

void *eratosthenes(void *an) {
	unsigned int n = *(unsigned int*) an;
	for (unsigned int i = 2; i < sqrt((double) n); i++) {
		pthread_mutex_lock(&m);
		if (!tasks[MAP(i)]) {
			tasks[MAP(i)] = 1;
			pthread_mutex_unlock(&m);
			if (!not_prime[MAP(i)]) {
				unsigned int j = 2 * i;
				while (j <= n) {
					not_prime[MAP(j)] = 1;
					j += i;
				}
			}
		} else
			pthread_mutex_unlock(&m);
	}
	return 0;
}

int main() {
	unsigned int n;
	std::cin >> n;
	pthread_t ts[TC];
	for (int i = 0; i < TC; i++) {
		pthread_create(&ts[i], NULL, eratosthenes, &n);
	}
	for (int i = 0; i < TC; i++) {
		pthread_join(ts[i], NULL);
	}
	unsigned long long sum = 0;
	for (unsigned int i = 2; i <= n; i++) {
		if (!not_prime[MAP(i)])
			sum += i;
	}
	std::cout << sum << std::endl;
	return 0;
}
