//@burtsev
#include <algorithm>
#include <cmath>
#include <iostream>
#include <list>

u_int64_t calc_primes_sum(u_int64_t max) {
	typedef std::list<u_int64_t> list_t;
	typedef list_t::iterator iterator_t;

	static list_t primes;
	u_int64_t sum = 0;

	for (u_int64_t i = 2; i <= max; ++i) {
		bool is_prime = true;
		u_int64_t sqrt_i = (u_int64_t) std::sqrt(i);
		for (iterator_t it = primes.begin(); it != primes.end(); ++it) {
			if (*it <= sqrt_i) {
				if (0 == i % *it) {
					is_prime = false;
					break;
				}
			}
		}
		if (is_prime) {
			primes.push_back(i);
			sum += i;
		}
	}
	return sum;
}

int main() {
	u_int64_t n = 0;
	std::cin >> n;
	std::cout << calc_primes_sum(n) << std::endl;
	return 0;
}
