//@Thunderbird
#include <iostream>
#include <cstdint>
#include <future>
#include <cmath>

using namespace std;

const size_t N = 8;

bool IsPrime(uint32_t x) {
	if (x <= 1)
		return false;
	uint32_t b = (uint32_t)std::sqrt(x);
	for (uint32_t d = 2; d <= b; ++d)
		if ((x % d) == 0)
			return false;
	return true;
}

uint64_t Sum(uint32_t a, uint32_t b) {
	uint64_t s = (a <= 2 && b >= 2) ? 2 : 0;
	uint32_t f = ((a & 0x1) != 0) ? a : (a + 1);
	for (uint32_t i = f; i <= b; i += 2)
		if (IsPrime(i))
			s += i;
	return s;
}

int main() {
	uint32_t x = 0;
	cin >> x;

	uint32_t h = x / N;

	future<uint64_t> t[N];

	uint32_t a = 1;
	uint32_t b = h + 1;

	for (size_t i = 0; i < N - 1; ++i) {
		t[i] = async([a, b]() {
			return Sum(a, b);
		});

		a = b + 1;
		b += h;
	}

	t[N - 1] = async([a, x]() {
		return Sum(a, x);
	});

	uint64_t r = 0;
	for (size_t i = 0; i < N; ++i)
		r += t[i].get();

	cout << r << endl;

	return 0;
}